function qhh(){}
function fhh(a){this.a=a}
function ihh(a){this.a=a}
function shh(a){this.a=a}
function Npf(a,b){a.a=b;return a}
function Opf(a){a.e=100;return a}
function Ppf(){this.c=new PWd;ED();this.d=Ozj}
function Qff(){this.b=yA($doc);this.a=yA($doc)}
function umd(a){a.a.le(0,2);qmd(a.a.c,0,2)[nCj]=iak}
function smd(a,b,d){var e;a.a.le(b,1);e=qmd(a.a.c,b,1);Ez(e,c3j,d.a)}
function hph(a){var b;if(!a.d){b=new qhh;a.d=b}return a.d}
function Qu(a,b,d,e){var g;Wu(a,b,d);g=Hu(a,b,d,e==null);e!=null&&Bz(g,e)}
function dhh(a,b,d,e){jGd.call(this,a,b,d);this.a=e;this.b=new x0i(o2b)}
function Rff(a,b){if(a==0||b==0)return 0;return f3c(S2c(Math.round(b/a*100)))}
function Mpf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function hhh(a,b){var d,e;d=Dnj(b);if(K7i(d,tGj).b.b!=(emj(),dmj)){e=n0i(a.a.b,K7i(d,tGj));phh(a.a.A,e)}else{phh(a.a.A,null)}}
function chh(a){var b,d;b=Lef();V7i(x7i(b),BHj,TDj);d=new h8i;U7i(K7i(d,kGj),'engine-statistics');Z7i(K7i(d,mGj),b);Jnj(new _mj(d),new ihh(a))}
function gph(a){var b;if(!a.c){b=new dhh(tFd(kce(a.a)),hph(a),fph(a),(Ynj(Sde(a.a)),j1i(Qde(a.a)),lMg(ede(a.a))));FFd((lce(a.a),b),CGd(lce(a.a)));a.c=b}return a.c}
function phh(a,b){var d;d=new Hef(lM(l0c,hxj,-1,[T2c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,T2c(b.mI().a),T2c(b.wI().a),T2c(b.sI().a)]));Kpf(a.b,d)}
function Pff(a,b,d){var e,g,i;g=xnd(a.c,a.a);i=Rff(b,d);if(i>0){yz(g,N_j,sik+i+SAj);yz(g,tik,sik+i+SAj)}else{yz(g,N_j,uik);yz(g,tik,uik)}e=new D4c;C4c(B4c((zQd(e.a,"<span style='padding-right:5px;'>"),e),i+SAj),$_j);Bz(g,(new F4c(e.a.a.a)).a)}
function Kpf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=Mpf(a);if(g>b.a.b)throw new qo(vik+g+wik+b.a.b);e=LOd(g>=0?(new IOd(zNd(gg(b.a,g)))).a:Cyj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new qo(xik+o+yik);Su(a.b,p,1,d);if(!!i.a&&U2c(e.a,Txj)){Pff(gg(a.c,o),f3c(e.a),(new eOd(xNd(d))).a)}else if(!!i.a&&W2c(e.a,Txj)){throw new qo(zik)}++p}}
function Lpf(a){var b,d,e,g,i,j,k,n,o,p;i=new Rwd;zz((Xfd(),i.gb),D_j);Owd(i,new qnd("<div class='metric-table-title'>"+a.d+f3j));a.b=new Yu;yz(sr(a.b),nCj,a.e+SAj);Qu(a.b,0,0,'Metric');Qu(a.b,0,1,'Actual');Qu(a.b,0,2,pCj);smd(a.b.d,0,(Und(),Tnd));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Qu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Qu(a.b,j,1,Ozj);GWd(a.c,new Qff);if(b.a){k=gg(a.c,j-1);Tu(a.b,j,2,(n=new D4c,C4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new ynd(new F4c(n.a.a.a)),o=xnd(k.c,k.b),oz(o,'stacked-bar-total'),yz(o,N_j,Cgk),yz(o,tik,'width:100%!important'),p=xnd(k.c,k.a),oz(p,'stacked-bar-actual'),lA(p,Ozj),k.c));Pff(k,0,0)}else Su(a.b,j,2,Ozj);smd(a.b.d,j,Tnd);b.c&&Knd(a.b.f,j,'metric-table-baseline');++j}tmd(a.b.d,0,0,Aik);tmd(a.b.d,0,1,Aik);tmd(a.b.d,0,2,Aik);umd(a.b.d);Owd(i,a.b);return i}
var Cik='Teiid Metrics',uik='background:none',tik='cssText',Aik='metric-table-header';q3c(2517,1,{},Qff);q3c(2688,1,{},Ppf);_.a=null;_.e=100;q3c(4591,1013,qyj,dhh);_.Ti=function(){this.A.a=this;bI(this.v,(Suf(),Ruf),this)};_.Wk=function(){pq((iq(),hq),new fhh(this))};_.Yi=function(){this.B&&chh(this)};_.aj=function(){tvf(this.a,this)};q3c(4592,1,{},fhh);_.sd=function(){chh(this.a)};q3c(4593,1298,{},ihh);_.pd=function(a){uYd('Failed to retrieve query engine statistics for Teiid',a._b())};_.eh=function(a){hhh(this,a)};q3c(4596,1415,oyj,qhh);_.Ch=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new gjj;ajj(r,new Yij((oYd(),aik),new shh(this)));p=new Nff(yQj,'Session Count');o=new Nff(AQj,'Memory in Use(KB)');n=new Nff(CQj,'Memory Used By Active Plans(KB)');g=new Nff(EQj,'Buffer Disk Reads');i=new Nff(GQj,'Buffer Disk Writes');b=new Nff(IQj,'Buffer Cache Reads');d=new Nff(KQj,'Buffer Cache Writes');q=new Nff(MQj,'Disk Space In Use(MB)');a=new Nff(OQj,'Active Plan Count');s=new Nff(QQj,'Waiting Plan Count');k=new Nff(SQj,'Maximum Plans Waiting Water Mark');e=lM(D1c,ixj,196,[p,o,n,g,i,b,d,q,a,s,k]);this.b=Opf(Npf(new Ppf,e),ED());j=qCe(tCe(yCe(uCe(xCe(new zCe,Bik),Cik),r),'Metrics for teiid subsystem'),Cik,Lpf(this.b));return rCe(j)};q3c(4597,1,Cxj,shh);_.ie=function(a){chh(this.a.a)};q3c(4753,1,Xyj);_.qd=function(){bHd(this.b,gph(this.a.a))};var G3b=XNd(4591),C3b=XNd(4592),D3b=XNd(4593),I3b=XNd(4596),H3b=XNd(4597),Gub=XNd(2688),urb=XNd(2517);Jzj(hp)(76);